/* fxDK_c.C                                                                 */
/* Copyright (c) Genus Microprogramming, Inc. 1988-89  All Rights Reserved. */

/****************************************************************************

  This file provides the Clipper interface to PCX Effects.             
  It makes calls to the PCX LARGE model C library.


  NOTE: Compile as "CL /c /W3 /AL /Zl /Oalt /FPa /Gs fxDK_c.C"
        as per the Clipper documentation for the EXTEND system

  Microsoft C version 5.1                 Programmer: Chris Howard  5/08/89

*****************************************************************************/

#include <stdio.h>

#include "..\h\nandef.h"
#include "..\h\extend.h"
#include "..\h\pcxlib.h"
#include "..\h\fxlib.h"
#include "..\h\fxclip.h"

/**********/

CLIPPER fxCD()

/*
 * retcode = fxCalibrateDelay()
 *
 */

{
  int  retcode;

  /* Verify parameters */
  if (PCOUNT == 0) {
    /* Pass call on to toolkit */
    retcode = fxCalibrateDelay();
  }
  else {
    /* Error in parameter list */
    retcode = fxERR_CLIPPARM;
  }

  /* Return code to Clipper */
  _retni(retcode);

} /* end of fxCD */

/**********/

CLIPPER fxED()

/*
 * retcode = fxEffectDelay(int delay)
 *
 */

{
  int  retcode;

  /* Verify parameters */
  if (PCOUNT == 1) {
    /* Pass call on to toolkit */
    retcode = fxEffectDelay(_parni(1));
  }
  else {
    /* Error in parameter list */
    retcode = fxERR_CLIPPARM;
  }

  /* Return code to Clipper */
  _retni(retcode);

} /* end of fxED */

/**********/

CLIPPER fxKC()

/*
 * retcode = fxKeyCheck(int flag)
 *
 */

{
  int  retcode;

  /* Verify parameters */
  if (PCOUNT == 1) {
    /* Pass call on to toolkit */
    retcode = fxKeyCheck(_parni(1));
  }
  else {
    /* Error in parameter list */
    retcode = fxERR_CLIPPARM;
  }

  /* Return code to Clipper */
  _retni(retcode);

} /* end of fxKC */

