/* fxFI_c.C                                                                 */
/* Copyright (c) Genus Microprogramming, Inc. 1988-89  All Rights Reserved. */

/****************************************************************************

  This file provides the Clipper interface to PCX Effects.             
  It makes calls to the PCX LARGE model C library.


  NOTE: Compile as "CL /c /W3 /AL /Zl /Oalt /FPa /Gs fxFI_c.C"
        as per the Clipper documentation for the EXTEND system

  Microsoft C version 5.1                 Programmer: Chris Howard  5/08/89

*****************************************************************************/

#include <stdio.h>

#include "..\h\nandef.h"
#include "..\h\extend.h"
#include "..\h\pcxlib.h"
#include "..\h\fxlib.h"
#include "..\h\fxclip.h"

/**********/

CLIPPER fxFI()

/*
 * retcode = fxFileImage(int vtype,long *vptr,char *filename)
 *
 */

{
  int  retcode;

  /* Verify parameters */
  if (PCOUNT == 3) {
    /* Pass call on to toolkit */
    retcode = fxFileImage(_parni(1),(long *)_parc(2),_parc(3));
  }
  else {
    /* Error in parameter list */
    retcode = fxERR_CLIPPARM;
  }

  /* Return code to Clipper */
  _retni(retcode);

} /* end of fxFI */

/**********/

CLIPPER fxLI()

/*
 * retcode = fxLibImage(int vtype,long *vptr,char *libname,char *filename)
 *
 */

{
  int  retcode;

  /* Verify parameters */
  if (PCOUNT == 4) {
    /* Pass call on to toolkit */
    retcode = fxLibImage(_parni(1),(long *)_parc(2),_parc(3),_parc(4));
  }
  else {
    /* Error in parameter list */
    retcode = fxERR_CLIPPARM;
  }

  /* Return code to Clipper */
  _retni(retcode);

} /* end of fxLI */

/**********/

CLIPPER fxRI()

/*
 * retcode = fxFreeImage(long vptr)
 *
 */

{
  int  retcode;

  /* Verify parameters */
  if (PCOUNT == 1) {
    /* Pass call on to toolkit */
    retcode = fxFreeImage(*((long *)_parc(1)));
  }
  else {
    /* Error in parameter list */
    retcode = fxERR_CLIPPARM;
  }

  /* Return code to Clipper */
  _retni(retcode);

} /* end of fxRI */

