/* fxPC_c.C                                                                 */
/* Copyright (c) Genus Microprogramming, Inc. 1988-89  All Rights Reserved. */

/****************************************************************************

  This file provides the Clipper interface to PCX Effects.             
  It makes calls to the PCX LARGE model C library.


  NOTE: Compile as "CL /c /W3 /AL /Zl /Oalt /FPa /Gs fxPC_c.C"
        as per the Clipper documentation for the EXTEND system

  Microsoft C version 5.1                 Programmer: Chris Howard  5/08/89

*****************************************************************************/

#include <stdio.h>

#include "..\h\nandef.h"
#include "..\h\extend.h"
#include "..\h\pcxlib.h"
#include "..\h\fxlib.h"
#include "..\h\fxclip.h"

/**********/

CLIPPER fxPC()

/*
 * retcode = fxPaletteCycle(char *palptr;int start,total,rep,delay);
 *
 */

{
  int  retcode;

  /* Verify parameters */
  if (PCOUNT == 5) {
    /* Pass call on to toolkit */
    retcode = fxPaletteCycle(_parc(1),_parni(2),_parni(3),_parni(4),_parni(5));
  }
  else {
    /* Error in parameter list */
    retcode = fxERR_CLIPPARM;
  }

  /* Return code to Clipper */
  _retni(retcode);

} /* end of fxPC */

/**********/

CLIPPER fxPF()

/*
 * retcode = fxPaletteFade(char *palptr;int start,total,inc,rep,delay);
 *
 */

{
  int  retcode;

  /* Verify parameters */
  if (PCOUNT == 6) {
    /* Pass call on to toolkit */
    retcode = fxPaletteFade(_parc(1),_parni(2),_parni(3),_parni(4),_parni(5),_parni(6));
  }
  else {
    /* Error in parameter list */
    retcode = fxERR_CLIPPARM;
  }

  /* Return code to Clipper */
  _retni(retcode);

} /* end of fxPF */

