/* fxSE_c.C                                                                 */
/* Copyright (c) Genus Microprogramming, Inc. 1988-89  All Rights Reserved. */

/****************************************************************************

  This file provides the Clipper interface to PCX Effects.             
  It makes calls to the PCX LARGE model C library.


  NOTE: Compile as "CL /c /W3 /AL /Zl /Oalt /FPa /Gs fxSE_c.C"
        as per the Clipper documentation for the EXTEND system

  Microsoft C version 5.1                 Programmer: Chris Howard  5/08/89

*****************************************************************************/

#include <stdio.h>

#include "..\h\nandef.h"
#include "..\h\extend.h"
#include "..\h\pcxlib.h"
#include "..\h\fxlib.h"
#include "..\h\fxclip.h"

/**********/

CLIPPER fxSE()

/*
 * retcode = fxSetEffect(int effect)
 *
 */

{
  int  retcode;

  /* Verify parameters */
  if (PCOUNT == 1) {
    /* Pass call on to toolkit */
    retcode = fxSetEffect(_parni(1));
  }
  else {
    /* Error in parameter list */
    retcode = fxERR_CLIPPARM;
  }

  /* Return code to Clipper */
  _retni(retcode);

} /* end of fxSE */

/**********/

CLIPPER fxGE()

/*
 * effect = fxGetEffect()
 *
 */

{
  int  retcode;

  /* Verify parameters */
  if (PCOUNT == 0) {
    /* Pass call on to toolkit */
    retcode = fxGetEffect();
  }
  else {
    /* Error in parameter list */
    retcode = fxERR_CLIPPARM;
  }

  /* Return code to Clipper */
  _retni(retcode);

} /* end of fxGE */

/**********/

CLIPPER fxSG()

/*
 * retcode = fxSetGrain(int grain)
 *
 */

{
  int  retcode;

  /* Verify parameters */
  if (PCOUNT == 1) {
    /* Pass call on to toolkit */
    retcode = fxSetGrain(_parni(1));
  }
  else {
    /* Error in parameter list */
    retcode = fxERR_CLIPPARM;
  }

  /* Return code to Clipper */
  _retni(retcode);

} /* end of fxSG */

/**********/

CLIPPER fxGG()

/*
 * retcode = fxGetGrain()
 *
 */

{
  int  retcode;

  /* Verify parameters */
  if (PCOUNT == 0) {
    /* Pass call on to toolkit */
    retcode = fxGetGrain();
  }
  else {
    /* Error in parameter list */
    retcode = fxERR_CLIPPARM;
  }

  /* Return code to Clipper */
  _retni(retcode);

} /* end of fxGG */

/**********/

CLIPPER fxSD()

/*
 * retcode = fxSetDelay(int delay)
 *
 */

{
  int  retcode;

  /* Verify parameters */
  if (PCOUNT == 1) {
    /* Pass call on to toolkit */
    retcode = fxSetDelay(_parni(1));
  }
  else {
    /* Error in parameter list */
    retcode = fxERR_CLIPPARM;
  }

  /* Return code to Clipper */
  _retni(retcode);

} /* end of fxSD */

/**********/

CLIPPER fxGD()

/*
 * retcode = fxGetDelay()
 *
 */

{
  int  retcode;

  /* Verify parameters */
  if (PCOUNT == 0) {
    /* Pass call on to toolkit */
    retcode = fxGetDelay();
  }
  else {
    /* Error in parameter list */
    retcode = fxERR_CLIPPARM;
  }

  /* Return code to Clipper */
  _retni(retcode);

} /* end of fxGD */

/**********/

CLIPPER fxGV()

/*
 * retcode = fxGetVersion(char *verbuf)
 *
 */

{
  int  retcode;

  /* Verify parameters */
  if (PCOUNT == 1) {
    /* Pass call on to toolkit */
    retcode = fxGetVersion(_parc(1));
  }
  else {
    /* Error in parameter list */
    retcode = fxERR_CLIPPARM;
  }

  /* Return code to Clipper */
  _retni(retcode);

} /* end of fxGV */


