/* fxTP_c.C                                                                 */
/* Copyright (c) Genus Microprogramming, Inc. 1988-89  All Rights Reserved. */

/****************************************************************************

  This file provides the Clipper interface to PCX Effects.             
  It makes calls to the PCX LARGE model C library.


  NOTE: Compile as "CL /c /W3 /AL /Zl /Oalt /FPa /Gs fxTP_c.C"
        as per the Clipper documentation for the EXTEND system

  Microsoft C version 5.1                 Programmer: Chris Howard  5/08/89

*****************************************************************************/

#include <stdio.h>

#include "..\h\nandef.h"
#include "..\h\extend.h"
#include "..\h\pcxlib.h"
#include "..\h\fxlib.h"
#include "..\h\fxclip.h"

/**********/

CLIPPER fxSS()

/*
 * retcode = fxSetSpeaker(int flag)
 *
 */

{
  int  retcode;

  /* Verify parameters */
  if (PCOUNT == 1) {
    /* Pass call on to toolkit */
    retcode = fxSetSpeaker(_parni(1));
  }
  else {
    /* Error in parameter list */
    retcode = fxERR_CLIPPARM;
  }

  /* Return code to Clipper */
  _retni(retcode);

} /* end of fxSS */

/**********/

CLIPPER fxSF()

/*
 * retcode = fxSetFrequency(int freq)
 *
 */

{
  int  retcode;

  /* Verify parameters */
  if (PCOUNT == 1) {
    /* Pass call on to toolkit */
    retcode = fxSetFrequency(_parni(1));
  }
  else {
    /* Error in parameter list */
    retcode = fxERR_CLIPPARM;
  }

  /* Return code to Clipper */
  _retni(retcode);

} /* end of fxSF */

/**********/

CLIPPER fxST()

/*
 * retcode = fxST(int freq,dur)
 *
 */

{
  int  retcode;

  /* Verify parameters */
  if (PCOUNT == 2) {
    /* Pass call on to toolkit */
    retcode = fxTone(_parni(1),_parni(2));
  }
  else {
    /* Error in parameter list */
    retcode = fxERR_CLIPPARM;
  }

  /* Return code to Clipper */
  _retni(retcode);

} /* end of fxST */

/**********/

CLIPPER fxPT()

/*
 * retcode = fxPlay(char *playstr)
 *
 */

{
  int  retcode;

  /* Verify parameters */
  if (PCOUNT == 1) {
    /* Pass call on to toolkit */
    retcode = fxPlay(_parc(1));
  }
  else {
    /* Error in parameter list */
    retcode = fxERR_CLIPPARM;
  }

  /* Return code to Clipper */
  _retni(retcode);

} /* end of fxPT */

/**********/

CLIPPER fxPL()

/*
 * retcode = fxPlayLeft()
 *
 */

{
  int  retcode;

  /* Verify parameters */
  if (PCOUNT == 0) {
    /* Pass call on to toolkit */
    retcode = fxPlayLeft();
  }
  else {
    /* Error in parameter list */
    retcode = fxERR_CLIPPARM;
  }

  /* Return code to Clipper */
  _retni(retcode);

} /* end of fxPL */

/**********/

CLIPPER fxPK()

/*
 * retcode = fxPlayKill()
 *
 */

{
  int  retcode;

  /* Verify parameters */
  if (PCOUNT == 0) {
    /* Pass call on to toolkit */
    retcode = fxPlayKill();
  }
  else {
    /* Error in parameter list */
    retcode = fxERR_CLIPPARM;
  }

  /* Return code to Clipper */
  _retni(retcode);

} /* end of fxPK */

/**********/

CLIPPER fxPO()

/*
 * retcode = fxPlayLoop(int loopnum)
 *
 */

{
  int  retcode;

  /* Verify parameters */
  if (PCOUNT == 1) {
    /* Pass call on to toolkit */
    retcode = fxPlayLoop(_parni(1));
  }
  else {
    /* Error in parameter list */
    retcode = fxERR_CLIPPARM;
  }

  /* Return code to Clipper */
  _retni(retcode);

} /* end of fxPO */

